For the complete documentation index, see llms-docs.txt or the site index llms.txt. Full docs corpus: llms-full-docs.txt. Prefer the markdown version of this page at /docs/api/api-key/get-api-api-key-v1.md. Product capabilities: skill.md. Docs MCP: /docs/mcp. Site MCP: /mcp.

List API keys

GET
/api/api-key/v1/
1import { Reloop } from "reloop-email";
2
3const reloop = new Reloop({ apiKey: "rl_123456789" });
4
5const { apiKeys, apiKeyError } = await reloop.apiKey.list({
6 page: 1,
7 limit: 10,
8 enabled: true,
9});
10
11if (apiKeyError) throw apiKeyError;
12
13console.log(apiKeys.total, apiKeys.apiKeys);
1{
2 "object": "api_key",
3 "apiKeys": [
4 {
5 "id": "key_123456789",
6 "name": "Production API Key",
7 "start": "rl_live",
8 "prefix": "rl",
9 "enabled": true,
10 "requestCount": 150,
11 "createdAt": "2026-03-29T10:00:00Z",
12 "updatedAt": "2026-03-29T10:00:00Z",
13 "permissions": "read,write",
14 "createdBy": {
15 "id": "user_123",
16 "name": "John Doe",
17 "email": "john@example.com"
18 }
19 }
20 ],
21 "total": 1,
22 "page": 0,
23 "limit": 0,
24 "event": "evt_123456789"
25}

Query Parameters

pagenumberdefault: 1

Page number for pagination

  • Minimum value: 1
limitnumberdefault: 10

Number of keys to return per page

  • Minimum value: 1
  • Maximum value: 100
enabledboolean

Filter keys by their enabled status

userIdstring

Filter keys created by a specific user ID

qstring

Search query to filter keys by name

Was this page helpful?